unit SciKeyEditForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls;

type
  TKeyEditForm = class(TForm)
    pnlAlign: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    btnOK: TButton;
    cmbCommand: TComboBox;
    btnCancel: TButton;
    HotKey: THotKey;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation
{$R *.dfm}

Uses
  SciKeyBindings;

procedure TKeyEditForm.FormCreate(Sender: TObject);
var
  i : integer;
begin
  cmbCommand.Clear;
  cmbCommand.Items.BeginUpdate;
  try
    for i := 0 to High(Sci_KeyboardCommandMap) do
      cmbCommand.AddItem(Sci_KeyboardCommandMap[i].Name, TObject(Sci_KeyboardCommandMap[i].Value));
    cmbCommand.ItemIndex := -1;
  finally
    cmbCommand.Items.EndUpdate;
  end;
end;

end.
